package com.ximai.mes.kanban.service;

import com.ximai.mes.kanban.dto.task.TaskStatDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.checkerframework.checker.units.qual.A;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@Service
public class KanbanTaskService {

    @ApiOperation("工序当月统计")
    @PostMapping("/currentMonthStat")
    public TaskStatDto currentMonthStat() {
        TaskStatDto rst = new TaskStatDto();
        List<TaskStatDto.ProcessOutput> outputList=new ArrayList<>();
        List<TaskStatDto.ProcessQualifiedRate> qualifiedRateList=new ArrayList<>();
        TaskStatDto.ProcessMonthlyIndexDto processMonthlyIndexDto=new TaskStatDto.ProcessMonthlyIndexDto();
        rst.setOutputList(outputList);
        rst.setQualifiedRateList(qualifiedRateList);
        rst.setProcessMonthlyIndexDto(processMonthlyIndexDto);
        return rst;
    }

}
